Light Logo
Uploads

Complete an upload

Complete an upload by submitting the list of uploaded part etags.

POST
/uploads/{id}/complete
AuthorizationBearer <token>

In: header

Path Parameters

idId

The unique identifier of the upload received when initiating the upload.

etagsEtags

A list of etags returned for each uploaded part during an upload. The etags must be provided in the same order as the index of the url used to upload the file.

Response Body

curl -X POST "https://api.wrift.ai/v1/uploads/string/complete" \  -H "Content-Type: application/json" \  -d '{    "etags": [      "string"    ]  }'
{
  "download_url": "http://example.com"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}